#
# spec file for package python-pushy
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pushy
Version:        0.5.3
Release:        lp151.2.1
Summary:        A library for transparently accessing objects in a remote Python interpreter
License:        MIT
Group:          Development/Languages/Python
Url:            http://awilkins.id.au/pushy/
Source:         https://pypi.python.org/packages/source/p/pushy/pushy-%{version}.zip
BuildRequires:  python-devel
BuildRequires:  python-paramiko
Requires:       python-paramiko
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Pushy is a Python library for allowing one to connect to a remote Python
interpreter, and transparently access objects in that interpreter as if they
were objects within the local interpreter.

Pushy has the novel ability to execute a remote Python interpreter and start a
request servicing loop therein, without requiring any custom Python libraries
(including Pushy) to be initially present. To accomplish this, Pushy requires
an SSH daemon to be present on the remote machine.

Pushy was initially developed to simplify automated testing to the point that
testing software on remote machines becomes little different to testing on the
local machine.

%prep
%setup -q -n pushy-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Thu Oct 10 2013 ddiss@suse.com
- Update to pushy-0.5.3
  + No changelog available
* Thu Jul 11 2013 speilicke@suse.com
- Initial version
